/*
	ゆるゆるナンプレ！ - the number place puzzle game.
	Copyright (C) 2009 asari
	
	This program is free software; you can redistribute it	 and/or modify it under the terms of the GNU General P	ublic License as published by the Free Software Founda	tion; either version 3 of the License, or (at your opt	ion) any later version.
	
	This program is distributed in the hope that it will b	e useful, but WITHOUT ANY WARRANTY; without even the i	mplied warranty of MERCHANTABILITY or FITNESS FOR A PA	RTICULAR PURPOSE. See the GNU General Public License f	or more details.
	
	You should have received a copy of the GNU General Pub	lic License along with this program. If not, see <http	://www.gnu.org/licenses/>.
*/

#ifndef SELECTSTAGE_H
#define SELECTSTAGE_H

#include <qmainwindow.h>
#include <qapplication.h>
#include <qpushbutton.h>
#include <qtextcodec.h>
#include <qfont.h>
#include <qmenubar.h>
#include <qpixmap.h>
#include <qpainter.h>
#include <qpicture.h>
#include <qpen.h>
#include <qstring.h>

#include <qfile.h>
#include <qtextstream.h>
#include <qvaluelist.h>
#include <qtimer.h>

#include <qdialog.h>
#include <qlistbox.h>
#include <qdir.h>
#include <qbrush.h>

extern QString dir;
extern QString quiz_file;

class SelectStage : public QDialog{
	Q_OBJECT

public:
	SelectStage(QWidget *parent = 0, const char *name = 0, bool modal=TRUE);

protected:
    void paintEvent( QPaintEvent * );

private:
	QTextCodec *codec;
	QListBox *list;

	QDir d;

private slots:
	void slot_setQuiz();

};

#endif //SELECTSTAGE_H